package com.ningdatech.pmapi.common.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;


/**
 * 导出选项枚举
 *
 * @author CMM
 * @since 2023/02/10 16:38
 */
@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum ExportOptionEnum {
    /**
     * 导出选项
     */
    id(1, "项目ID"),

    projectName(2, "项目名称"),

    areaCode(3, "行政区划编码"),

    area(4, "行政区划名称"),

    responsibleMan(5, "项目负责人"),

    responsibleManMobile(6, "项目负责人手机号"),

    contactName(7, "项目联系人"),

    contactPhone(8, "项目联系人手机号"),

    higherSuperOrg(9, "上级业务主管单位"),

    higherSuperOrgCode(10, "上级主管单位浙政钉ID"),

    superOrg(11, "本级主管部门"),

    superOrgCode(12, "本级主管部门浙政钉ID"),

    buildOrgName(13, "建设单位名称"),

    buildOrgZheJiangGovDingId(14, "建设单位浙政钉ID"),

    buildOrgCode(15, "建设单位统一信用代码"),

    projectType(16, "项目类型"),

    isFirst(17, "是否首次新建"),

    relatedExistsApplication(18, "关联应用"),

    relatedExistsApplicationCode(19, "关联应用IRS编码"),

    declareAmount(20, "申报金额"),

    approvedTotalInvestmentIncrease(21, "批复金额"),

    /**
     * 表里没有
     */
    budgetSource(22, "预算来源"),

    projectYear(23, "预算年度"),

    projectIntroduction(24, "项目简介"),

    buildBasis(25, "立项依据"),

    buildLevel(26, "建设层级"),

    developCode(27, "发改编码"),

    financialCode(28, "财政编码"),

    /**
     * 表里没有
     */
    informationValidity(29, "信息是否有效"),


    isDigitalReform(30, "是否数字化改革项目"),

    bizDomain(31, "综合应用领域"),

    isCloud(32, "是否上云"),

    cloudType(33, "云类型"),

    fourSystems(34, "四大体系"),
    isTemporaryAugment(35, "是否临时增补"),

    protectionLevel(36, "等保级别"),

    isSecretComments(37, "是否密评"),

    businessNumber(38, "业务编号"),

    businessName(39, "业务名称"),

    orgName(40, "单位名称"),

    softwareDevelopmentAmount(41, "软件开发"),

    cloudHardwarePurchaseAmount(42, "云资源、硬件购置"),

    thirdPartyAmount(43, "第三方服务"),

    safetyInputTitle(44, "投入项"),

    safetyInputDescribe(45, "内容描述"),

    safetyInputAmount(46, "金额"),

    annualPlanAmount(47, "年度支付金额"),

    annualPlanHaveAmount(48, "自有资金"),

    declareGovOwnFinanceAmount(49, "政府投资-本级财政资金"),

    declareGovSuperiorFinanceAmount(50, "政府投资-上级补助资金"),

    declareBankLendingAmount(51, "银行贷款"),

    declareOtherAmount(52, "其它资金"),

    engineeringSpeedOne(53, "第一季度"),

    engineeringSpeedTwo(54, "第二季度"),

    engineeringSpeedThree(55, "第三季度"),

    engineeringSpeedFour(56, "第四季度"),

    preliminaryPlanFile(57, "初步方案"),

    supportingMaterialsFile(58, "附件-佐证材料"),

    projectRemarks(59, "备注"),
    processStatusName(60, "流程状态名称"),
    processLaunchTime(61,"流程发起时间"),
    processHandleTime(62,"流程处理时间"),

    projectStatusName(63,"项目状态名称"),

    createOn(64,"创建时间"),

    updateOn(65,"更新时间");


    private Integer code;
    private String desc;
}
